org.springframework.cloud.dataflow.rest.resource

## Class DetailedAppRegistrationResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<AppRegistrationResource>
  - - org.springframework.cloud.dataflow.rest.resource.AppRegistrationResource
    - - org.springframework.cloud.dataflow.rest.resource.DetailedAppRegistrationResource

-     public class DetailedAppRegistrationResource
      extends AppRegistrationResource

  Extension of `AppRegistrationResource` that contains application options and other detailed application information.
  Author:
    Eric Bottard, Gunnar Hillert, Patrick Peralta, Mark Fisher

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DetailedAppRegistrationResource.Page` Dedicated subclass to workaround type erasure.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DetailedAppRegistrationResource()` Default constructor for serialization frameworks.
    `` | `DetailedAppRegistrationResource(AppRegistrationResource resource)` Construct a `DetailedAppRegistrationResource` object based on the provided `AppRegistrationResource`.
    `` | `DetailedAppRegistrationResource(String name, String type, String version, String coordinates, Boolean isDefault)` Construct a `DetailedAppRegistrationResource` object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInboundPortName(String inboundPortName)` Add application's inbound port name.
    `void` | `addOption(org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty option)` Add an application option.
    `void` | `addOutboundPortName(String outboundPortName)` Add application's outbound port name.
    `Set<String>` | `getInboundPortNames()` Return a set of application's inbound port names.
    `List<org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty>` | `getOptions()` Return a list of application options.
    `Set<String>` | `getOutboundPortNames()` Return a set of application's outbound port names.
    `String` | `getShortDescription()` Return a description for this application.
    `void` | `setShortDescription(String shortDescription)` Set a description for this application.

    - ### Methods inherited from class org.springframework.cloud.dataflow.rest.resource.AppRegistrationResource

      `getDefaultVersion, getLabel, getName, getType, getUri, getVersion, getVersions, setLabel`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DetailedAppRegistrationResource

          protected DetailedAppRegistrationResource()

      Default constructor for serialization frameworks.

    - #### DetailedAppRegistrationResource

          public DetailedAppRegistrationResource(String name,
                                                 String type,
                                                 String version,
                                                 String coordinates,
                                                 Boolean isDefault)

      Construct a `DetailedAppRegistrationResource` object.
      Parameters:
        `name` - application name
        `type` - application type
        `version` - application version
        `coordinates` - Maven coordinates for the application artifact
        `isDefault` - is this the default app

    - #### DetailedAppRegistrationResource

          public DetailedAppRegistrationResource(AppRegistrationResource resource)

      Construct a `DetailedAppRegistrationResource` object based on the provided `AppRegistrationResource`.
      Parameters:
        `resource` - `AppRegistrationResource` from which to obtain app registration data

  - ### Method Detail

    - #### addOption

          public void addOption(org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty option)

      Add an application option.
      Parameters:
        `option` - application option to add

    - #### getOptions

          public List<org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty> getOptions()

      Return a list of application options.
      Returns:
        list of application options

    - #### addInboundPortName

          public void addInboundPortName(String inboundPortName)

      Add application's inbound port name.
      Parameters:
        `inboundPortName` - application's inbound port name to add

    - #### addOutboundPortName

          public void addOutboundPortName(String outboundPortName)

      Add application's outbound port name.
      Parameters:
        `outboundPortName` - application's outbound port name to add

    - #### getInboundPortNames

          public Set<String> getInboundPortNames()

      Return a set of application's inbound port names.
      Returns:
        set of application's inbound port names.

    - #### getOutboundPortNames

          public Set<String> getOutboundPortNames()

      Return a set of application's outbound port names.
      Returns:
        set of application's outbound port names.

    - #### getShortDescription

          public String getShortDescription()

      Return a description for this application.
      Returns:
        description for this application

    - #### setShortDescription

          public void setShortDescription(String shortDescription)

      Set a description for this application.
      Parameters:
        `shortDescription` - description for application

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.